server:
  port: 8003
spring:
  jackson:
    time-zone: GMT+8
  servlet:
    multipart:
      max-file-size: 50MB
      max-request-size: 50MB
  ai:
    chat:
      memory:
        repository:
          jdbc:
            initialize-schema: always

  application:
    name: wishing-mobile
  profiles:
    active: local

jwt:
  ignore-urls:
    - /dgapi/mobile/user/logout
    - /dgapi/mobile/user/login
    - /dgapi/mobile/user/login/captcha
    - /dgapi/mobile/wishingtree/list
    - /dgapi/mobile/wishingtree/detail
    - /dgapi/mobile/chat/history
    - /dgapi/mobile/chat
    - /dgapi/mobile/wish/tree/**
    - /dgapi/mobile/ext/file/**

captcha:
  width: 100
  height: 40
  content:
    source: 1234567890
    length: 4
    space: 2
  font:
    name: "Arial"
    color: black
    size: 35


